Skip to main content
`Ctrl`+`K`

# PetscDrawLGGetData

Get the data being plotted.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawLGGetData(PetscDrawLG lg, PetscInt *dim, PetscInt *n, const PetscReal *x[], const PetscReal *y[])

Not Collective

## Input Parameter

- lg - the line graph context

## Output Parameters

- dim - the number of curves

- n - the number of points on each line

- x - The x-value of each point, x[p * dim + c]

- y - The y-value of each point, y[p * dim + c]

## See Also

`PetscDrawLGC`, `PetscDrawLGCreate()`, `PetscDrawLGGetDimension()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/lgc.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages